package com.ghy.payment.mapper;

import com.ghy.payment.domain.FinancialDetail;

import java.util.List;

/**
 * 财务细单(转派后产生的订单)的mapper层
 *
 * @author HH 2022/4/25
 */
public interface FinancialDetailMapper {

    /**
     * @param financialDetail 财务细单属性
     * @return 成功条数
     */
    int insertFinancialDetail(FinancialDetail financialDetail);

    /**
     * @param financialDetail 财务细单属性
     * @return 成功条数
     */
    int updateFinancialDetail(FinancialDetail financialDetail);

    /**
     * @param financialDetail 财务细单入参
     * @return 财务细单集合
     */
    List<FinancialDetail> selectFinancialDetailList(FinancialDetail financialDetail);

    /**
     * @param financialDetailId 财务细单id
     * @return 财务细单
     */
    FinancialDetail selectById(Long financialDetailId);

    /**
     * 批量删除财务细单信息
     *
     * @param financialDetailIds 需要删除的数据ID
     * @return 结果
     */
    int deleteFinancialDetailByIds(Long[] financialDetailIds);

    /**
     * @param financialDetailCode 财务细单编码
     * @return 财务细单信息
     */
    FinancialDetail checkFinancialDetailCodeUnique(String financialDetailCode);
}
